Skip to main content
PATCH
/
crm
/
objects
/
2026-03
/
projects
/
{projectId}
Update
curl --request PATCH \
  --url https://api.hubapi.com/crm/objects/2026-03/projects/{projectId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "properties": {}
}
'
{
  "archived": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "properties": {},
  "updatedAt": "2023-11-07T05:31:56Z",
  "archivedAt": "2023-11-07T05:31:56Z",
  "objectWriteTraceId": "<string>",
  "propertiesWithHistory": {},
  "url": "<string>"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

projectId
string
required
Pattern: .+

Query Parameters

idProperty
string

The name of a property whose values are unique for this object type

Body

application/json

Represents the input required to create or update a CRM object, containing an object with property names and their corresponding values.

properties
object
required

Key value pairs representing the properties of the object.

Response

successful operation

A simple public object.

archived
boolean
required

Whether the object is archived.

createdAt
string<date-time>
required

The timestamp when the object was created, in ISO 8601 format.

id
string
required

The unique ID of the object.

properties
object
required

Key-value pairs representing the properties of the object.

updatedAt
string<date-time>
required

The timestamp when the object was last updated, in ISO 8601 format.

archivedAt
string<date-time>

The timestamp when the object was archived, in ISO 8601 format.

objectWriteTraceId
string

An identifier used for tracing the write request for the object.

propertiesWithHistory
object

Key-value pairs representing the properties of the object along with their history.

url
string

The URL associated with the object.

Last modified on March 30, 2026